diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/utils/net/ip.ml ./src/utils/net/ip.ml
--- ./src/utils/net/ip.ml	2005-10-16 22:42:55.000000000 +0200
+++ ./src/utils/net/ip.ml	2005-12-13 13:49:47.000000000 +0100
@@ -49,7 +49,7 @@
   with _ ->
       Printf.sprintf "%03d.%03d.%03d.%03d" a4 a3 a2 a1
 
-let to_int64  ((a4, a3, a2, a1) as t) =
+let to_int64 (a4, a3, a2, a1) =
   let small = a1 lor (a2 lsl 8) lor (a3 lsl 16) in
   (Int64.of_int small) ++ (Int64.shift_left (Int64.of_int a4) 24)
 
@@ -101,14 +101,14 @@
 let rec matches ((a4,a3,a2,a1) as a) ips =
   match ips with
     [] -> false
-  | ((b4,b3,b2,b1) as b) :: tail ->
+  | (b4,b3,b2,b1) :: tail ->
       ( (a4 = b4 || b4 = 255) &&
         (a3 = b3 || b3 = 255) &&
         (a2 = b2 || b2 = 255) &&
         (a1 = b1 || b1 = 255))
       || (matches a tail)
 
-let compare ((a4,a3,a2,a1) as a) ((b4,b3,b2,b1) as b) =
+let compare (a4,a3,a2,a1) (b4,b3,b2,b1) =
   let c4 = compare a4 b4 in
   if c4 <> 0 then c4 else
   let c3 = compare a3 b3 in
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/utils/net/ip_set.ml ./src/utils/net/ip_set.ml
--- ./src/utils/net/ip_set.ml	2005-12-05 19:37:34.000000000 +0100
+++ ./src/utils/net/ip_set.ml	2005-12-13 13:49:47.000000000 +0100
@@ -253,7 +253,7 @@
 	       let file = Zip.find_entry ic "guarding.p2p" in
 	         Zip.close_in ic;
 		 lprintf_nl () "guarding.p2p found in zip file";
-		 let s = Misc.archive_extract filename "zip" in
+		 let _ = Misc.archive_extract filename "zip" in
 		 load_merge bl_empty file.Zip.filename true
 	       with e ->
 		 begin
@@ -261,7 +261,7 @@
 		     let file = Zip.find_entry ic "guarding_full.p2p" in
 		       Zip.close_in ic;
 		       lprintf_nl () "guarding_full.p2p found in zip file";
-		       let s = Misc.archive_extract filename "zip" in
+		       let _ = Misc.archive_extract filename "zip" in
 		       load_merge bl_empty file.Zip.filename true
 		     with e ->
 		       Zip.close_in ic;
@@ -347,7 +347,7 @@
           let nright = print_list_aux right in
           nleft + 1 + nright in
 
-  let count = print_list_aux bl in
+  let _ = print_list_aux bl in
   Printf.bprintf buf "%d ranges loaded - optimized to %d\n" !ranges_1 !ranges_2
 
 let bl = ref BL_Empty
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/utils/net/multicast.ml ./src/utils/net/multicast.ml
--- ./src/utils/net/multicast.ml	2005-06-20 20:38:49.000000000 +0200
+++ ./src/utils/net/multicast.ml	2005-12-13 13:49:47.000000000 +0100
@@ -93,7 +93,6 @@
   with 
   | Exit -> 
       close sock;
-      let msg = buffer in
       Marshal.from_string buffer 0
   | e -> close sock; raise e
       
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/utils/net/tcpBufferedSocket.ml ./src/utils/net/tcpBufferedSocket.ml
--- ./src/utils/net/tcpBufferedSocket.ml	2005-12-06 21:26:40.000000000 +0100
+++ ./src/utils/net/tcpBufferedSocket.ml	2005-12-13 14:14:48.000000000 +0100
@@ -179,7 +179,6 @@
 
 let schedule_connections () =
   let max_wanted = !max_opened_connections () in
-  let current_connections = !opened_connections in
   let max_connections_per_second = !max_connections_per_second () in
 
   let rec iter todo_managers done_managers =
@@ -622,8 +621,7 @@
             t.event_handler t BUFFER_OVERFLOW;
             lprintf "[OVERFLOW] in %s" (info sock);
             close t Closed_for_overflow;
-            raise exn_exit;
-            0
+            raise exn_exit
           )
         else
         if b.len + min_read_size < buf_len then
@@ -1340,8 +1338,7 @@
 (*Printf.bprintf buf "User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT; Hotbar 2.0)\n";*)
         Printf.bprintf buf "User-Agent: MLdonkey/%s\n" Autoconf.current_version;
         Printf.bprintf buf "\n";
-        let nw = MlUnix.write s (Buffer.contents buf) 0 (Buffer.length buf) in
-        ()
+        ignore (MlUnix.write s (Buffer.contents buf) 0 (Buffer.length buf))
       end;
     let t = create token name s handler in
 
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/utils/net/udpSocket.ml ./src/utils/net/udpSocket.ml
--- ./src/utils/net/udpSocket.ml	2005-10-16 22:42:55.000000000 +0200
+++ ./src/utils/net/udpSocket.ml	2005-12-13 13:49:47.000000000 +0100
@@ -216,10 +216,10 @@
             try
               let len = String.length s in
 
-              let code = 
+              let _ =
                 try
                   if ping then declare_ping ip;
-                  Unix.sendto (fd sock) s 0 len [] addr 
+                  ignore(Unix.sendto (fd sock) s 0 len [] addr)
                 with e ->
                     lprintf "Exception in sendto %s:%d\n" (Ip.to_string ip) port;
                     raise e
@@ -291,7 +291,7 @@
   try
     iter_write_no_bc t sock 
   with
-    Unix.Unix_error ((Unix.EWOULDBLOCK | Unix.ENOBUFS), _, _) as e -> 
+    Unix.Unix_error ((Unix.EWOULDBLOCK | Unix.ENOBUFS), _, _) -> 
       must_write t.sock true
 
 let rec iter_write t sock bc = 
@@ -329,7 +329,7 @@
   try
     iter_write t sock bc    
   with
-    Unix.Unix_error ((Unix.EWOULDBLOCK | Unix.ENOBUFS), _, _) as e -> 
+    Unix.Unix_error ((Unix.EWOULDBLOCK | Unix.ENOBUFS), _, _) -> 
       must_write sock true
       
 let udp_handler t sock event = 
